var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var ti_common;
(function (ti_common) {
    'use strict';
    var CancelError = (function (_super) {
        __extends(CancelError, _super);
        function CancelError(message) {
            _super.call(this, message);
            this.message = message;
        }
        return CancelError;
    }(Error));
    ti_common.CancelError = CancelError;
    ;
})(ti_common || (ti_common = {}));
